Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class MwSt
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub
    Private Sub GrmwstBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            GrmwstBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsStammdaten)


        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub MwSt_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load

        Try
            GrmwstTableAdapter.Fill(DsStammdaten.grmwst)
            GrlandTableAdapter.Fill(DsStammdaten.grland)

            ds = DsStammdaten
            ParentBindingNavigator.BindingSource = GrmwstBindingSource

            AddHandler Me.GrmwstDataGridView.DataError, AddressOf GrmwstDataGridView_DataError
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub GrmwstDataGridView_DataError(sender As Object, e As DataGridViewDataErrorEventArgs)
    End Sub

End Class